#include <iostream>
#include <iomanip>
using namespace std;
int main()
{
    int n;
    cin>>n;
    int a[n];
    double p[n],br[n];
    for(int i=0;i<n;i++){
        cin>>a[i]>>p[i];
        br[i]=0;
    }
     for(int i=0;i<n;i++){
        for(int j=0;j<n;j++){
            if(p[i]<=p[j])
                br[i]+=p[i]*a[j]/100;
        }
    }
    double br1=br[0];
    for(int i=1;i<n;i++){
        if(br[i]>br1)
            br1=br[i];
    }
    cout<<fixed<<setprecision(4)<<br1;
    return 0;
}